<?php



$errors = array();
$info = array();
$info_success = array();






//validate the title
if(!empty($_POST['title']))
{
   $title = mysqli_real_escape_string($dbc, $_POST['title']);
   
   //collect title to fill the static form
   $_SESSION['title'] = $title;
 
}
else
{
   $errors[] = '<p> * </p>';
   
   
}



//validate the ip
if(!empty($_POST['ip']))
{
   $ip = mysqli_real_escape_string($dbc, $_POST['ip']);
   
   $_SESSION['ip'] = $ip;
 
}
else
{
   $errors[] = '<p> * </p>';
}

//collect the description
$description = mysqli_real_escape_string($dbc, $_POST['description']);
$_SESSION['description'] = $description;


	
//validate optional system_status
$system_status= (!empty($_POST['system_status']))? (mysqli_real_escape_string($dbc,$_POST['system_status'])): 
NULL;

$_SESSION['system_status'] =$system_status;






//collect the status
$status = (!empty($_POST['status']))? (mysqli_real_escape_string($dbc,$_POST['status'])): 
 NULL;
$_SESSION['status'] = $status;



//added_by 
$user_id = get_user_id();
$sid = get_security_id($user_id);


if(empty($errors))
{
	//destroy session if there is no error
	unset($_SESSION['title']);
	unset($_SESSION['ip']);
	unset($_SESSION['description']);
	unset($_SESSION['system_status']);
	unset($_SESSION['status']);

	
	 //check if the query is for adding den add
	
	
	$q = "INSERT INTO `ip_filter`(`id`, `ips`, `title`, `description`, `status`, `activate`, `date_added`,  `added_by`)
		 VALUES (NULL,'$ip','$title','$description','$status','$system_status',NOW(),'$sid')";
							
							
	$r = mysqli_query($dbc,$q);
	
	if($r)
	{
		$info_success['success'] = 'Successfully added!';
		header("Location: gateway.php?act=view_ip_filter&is=".urlencode($info_success['success']).""); //is - info success
		
	}
	else
	{
		$errors['error'] =  'Not added due to a system error. We apologize for any inconvenience.';
										
		header("Location: gateway.php?act=add_ips&error=".urlencode($errors['error'])."");
	}
	
}
else
{//stay back in add_users form


	$errors['error'] =  'Fill the form appropriately, take note of <span class="ast">*</span>.';
										
	header("Location: gateway.php?act=add_ips&error=".urlencode($errors['error'])."");

}



?>